Is there a way to spoof firmware too play a 3.69 game on 3.65?

Discussion in 'PS Vita - Hacking & Homebrew' started by lolcatzuru, Apr 29, 2019.

  1. lolcatzuru
    OP

    lolcatzuru GBAtemp Fan

    Member
    5
    Apr 20, 2012
    United States
    sorry if this is obvious, im a bit new mates, but, i got to henkaku 3.65 largely on my own and got p5 dancing from nps downloader, problem is, it wont play, and its because it needs 3.69. i've already tried the spoofer but that seems, lackluster at best, is there something else i can do?
     
  2. crypt1c

    crypt1c Member

    Newcomer
    4
    Aug 20, 2016
    United States
    Mementos
    There is a plugin called reF00D that allows any device no matter what firmware it is on to play the latest games. It can be found here, https://github.com/dots-tb/reF00D/releases.

    I believe there is also an application that can download and install a lot of the plugins (including reF00D) on the system called Autoplugin, which can be found here: https://github.com/theheroGAC/Autoplugin/releases

    This is also a nice written guide for setting up various applications and plugins that make the Vita quite nice. https://vita.hacks.guide/finalizing-setup.html
     
    Last edited by crypt1c, Apr 29, 2019
    Owenge and Leobgood like this.
  3. lolcatzuru
    OP

    lolcatzuru GBAtemp Fan

    Member
    5
    Apr 20, 2012
    United States
    i installed those pluggins and unfortunately the game still wont play.
     
  4. reddragon105

    reddragon105 GBAtemp Regular

    Member
    4
    Aug 10, 2008
    reF00D should be all you need. It auto patches the game on the fly. There's also rePatch, which uses patched files instead of patching on the fly, which can make the games load quicker but requires that you download the right files for each game (which I believe is something PKGj can do).

    Is it one game in particular you're having problems with? How did you install reF00D? Manually or using Autoplugin? I don't know exactly how you have your Vita setup, but ideally you'll have your plugins in ur0: (system storage) so you should have the plugin installed at ur0:tai/reF00D.skprx and then you need to edit config.txt to add an entry for it (create a new line under *KERNEL and enter the file path - ur0:tai/reF00D.skprx - make sure you've typed zeroes, because those aren't the letter 'Oh' in reF00D) and then you'll need to reboot for the plugin to be loaded, because it's a kernel plugin.
     
  5. kaymynd

    kaymynd GBAtemp Fan

    Member
    4
    Sep 19, 2018
    United States
    In henkaku setting do you have spoofing enabled? If not you must enable and set to 3.70 which is the newest firmware.
     
  6. DoctorGigantic

    DoctorGigantic Newbie

    Newcomer
    1
    May 1, 2019
    United States
    I believe that you need to download a comb patch. This is done with NPS Browser, you can download updates, dlc and those comb patches there. I believe those packs will help you out. I can if you want later tonight help you with NPS Browser, just sent me a pm. I'm in Amsterdam so time zones might be difficult, also I'm at work now so I can't sent you screenshots and stuff but I don't mind doing it when I get home.
     
  7. reddragon105

    reddragon105 GBAtemp Regular

    Member
    4
    Aug 10, 2008
    I don't believe that's necessary - I've never heard that it's required before, and I've just checked with Secret of Mana (which requires 3.67) and it boots using reF00D with Henkaku spoofed version set to 3.65 (which is also my official version).


    I think you mean comp (compatibility) patch, which is how rePatch works, but it's not strictly necessary now that reF00D exists as that will just patch everything automatically on the fly. Compatibility patches can improve load times, but I'm not sure if there are any games where it makes a significant difference. If OP has installed reF00D, as they said they did, and it's not working then it suggests the plugin isn't installed correctly, rather than a lack of compatibility patch, as reF00D doesn't use them.
     
  8. DoctorGigantic

    DoctorGigantic Newbie

    Newcomer
    1
    May 1, 2019
    United States
    Okay. I just use NPS Browser to download a game (with the patch, dlc and updates), put them on PS Vita 3.65 and it works. But I need to check if I have reF00D or rePatch is installed. I think I forgot about that part.
     
  9. reddragon105

    reddragon105 GBAtemp Regular

    Member
    4
    Aug 10, 2008
    Yeah, I do the same. If you have both reF00D and rePatch installed, rePatch will take priority - so if reF00D finds a compatibility pack for the game you're trying to load, it won't do anything; it will just let rePatch do its thing.
     
Loading...